#!/bin/sh
###########################################
# sqlite-setup.sh
# Mike Schilli, 2012 (m@perlmeister.com)
###########################################
file=highlights.sqlite
rm -f $file

sqlite3 $file <<EOT
CREATE VIRTUAL TABLE highlights USING FTS3 ( type TEXT, loc TEXT, 
  author TEXT, title TEXT, date TEXT, text TEXT );

CREATE TABLE seen ( type TEXT, loc TEXT, title TEXT, 
  UNIQUE(type, loc, title) );
EOT
